# reduce the redundancy of debuginfo
%global optflags %(echo %{optflags} | sed 's/-g /-g1 /' | sed 's/-O2 /-O1 /')

Summary:        Vulkan validation layers
Name:           vulkan-validation-layers
Version:        1.3.250.0
Release:        2%{?dist}
License:        ASL 2.0
URL:            https://github.com/KhronosGroup/Vulkan-ValidationLayers
Source0:        %{url}/archive/sdk-%{version}.tar.gz

BuildRequires:  cmake3 gcc gcc-c++ ninja-build
BuildRequires:  glslang-devel python3-devel
# inconsistent sdk versions of vulkan/spirv may cause build errors
BuildRequires:  spirv-tools-devel spirv-headers-devel
BuildRequires:  vulkan-headers = %{version} vulkan-loader-devel = %{version}
BuildRequires:  pkgconfig(wayland-client) pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-server) pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(x11) pkgconfig(xrandr) pkgconfig(xcb)

%description
This package provides the Khronos official Vulkan validation layers.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       vulkan-headers

%description    devel
This package provides libraries and header files for developing applications that use %{name}.


%prep
%autosetup -p1 -n Vulkan-ValidationLayers-sdk-%{version}


%build
%cmake3 -DCMAKE_BUILD_TYPE=Release \
        -DBUILD_WERROR=OFF \
        -DGLSLANG_INSTALL_DIR=%{_prefix} \
        -DBUILD_LAYER_SUPPORT_FILES:BOOL=ON \
        -DUSE_ROBIN_HOOD_HASHING:BOOL=OFF \
        -DSPIRV_HEADERS_INSTALL_DIR=%{_prefix} \
        -DVULKAN_HEADERS_INSTALL_DIR=%{_prefix} \
        -DCMAKE_INSTALL_INCLUDEDIR=%{_includedir}
%cmake_build


%install
%cmake_install


%files
%license LICENSE.txt
%doc README.md CONTRIBUTING.md LAYER_CONFIGURATION.md
%{_libdir}/libVkLayer_*.so
%{_datadir}/vulkan/explicit_layer.d/*.json

%files devel
%{_includedir}/vulkan/
%{_libdir}/libVkLayer_utils.a

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.250.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Shuo Wang <abushwang@tencent.com> - 1.3.250.0-1
- update to 1.3.250.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.239.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.239.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 29 2023 Wang Guodong <gordonwwang@tencent.com> - 1.3.239.0-1
- initial build
